#ifndef UTILS_H
#define UTILS_H

#include "posprinter.h"

#include <locale>
#include <optional>
#include <string>

std::string formatCentAsEuroString(const int cent, int width = 10);
std::optional<PrinterDevice> convertToPosPrinterDevice(const std::string& vendor,
                                                       const std::string& endpoint);

#endif
